Bug 960201 - Review Request: libyui-qt-graph - Qt Graph Widget for libyui
Summary: Review Request: libyui-qt-graph - Qt Graph Widget for libyui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 959926 960200
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 16:47 UTC by Björn 'besser82' Esser
Modified: 2017-08-24 23:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 15:51:20 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
build failure output (18.19 KB, text/plain)
2013-05-18 14:42 UTC, Michael Schwendt
no flags Details

Description Björn 'besser82' Esser 2013-05-06 16:47:26 UTC
Spec URL: http://besser82.fedorapeople.org/libyui/SPECS/libyui-qt-graph.spec
SRPM URL: http://besser82.fedorapeople.org/libyui/SRPMS/libyui-qt-graph-2.42.4-1.fc18.src.rpm
Description: This package contains the Qt graph component for libyui

This package depends on libyui which has it's review request in #959926 and also waits for a sponsor, so testing with koji was not possible at the moment.

Fedora Account System Username: besser82

Hello!

This is one my first packages I want to contribute to Fedora, so I need a sponsor. I am in good contact to upstream, esp. to the lead-maintainer and have direct-push access to the libyui github-repos, too.

BR,
  Björn Esser

Comment 1 Björn 'besser82' Esser 2013-05-09 08:45:57 UTC
Updated to V2.42.4

You can find SPEC/SRPM here: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/

Or clone my git-repo from besser82@fedorapeople.org:public_git/libyui.git and checkout the libyui-qt-graph branch.

BR,
  Björn Esser

Comment 2 Björn 'besser82' Esser 2013-05-13 19:44:48 UTC
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph-2.42.4-1.fc18.src.rpm

Adapted Spec/SRPM urls for tracking inside "fedora-review" tool.

Comment 3 Björn 'besser82' Esser 2013-05-15 12:02:21 UTC
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph-2.42.5-1.fc18.src.rpm

New upstream version. Thanks for your review.

%changelog
* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.42.5-1
- new upstream version
- adjusted %{libname}-devel min-version
- added needed bootstrap to prep

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.42.4-1
- Initial RPM release.

Comment 4 Michael Schwendt 2013-05-18 12:27:21 UTC
It won't build for F19 and newer, because libgraph is no more:
http://koji.fedoraproject.org/koji/packageinfo?packageID=1971

Comment 5 Björn 'besser82' Esser 2013-05-18 13:32:21 UTC
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-qt-graph/libyui-qt-graph-2.42.5-2.fc18.src.rpm

Try again, please. If it will fail again, can you please provide a build.log?

%changelog
* Sat May 18 2013 Björn Esser <bjoern.esser@gmail.com> - 2.42.5-2
- add Patch0 to (hopefully) re-enable build on Fedora >= 19
- removed {min_devel_ver} since versions in Fedora are mature enough

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.42.5-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.42.4-1
- Initial RPM release.

Comment 6 Michael Schwendt 2013-05-18 14:42:09 UTC
Created attachment 749630 [details]
build failure output

Comment 7 Björn 'besser82' Esser 2013-05-18 15:00:39 UTC
Seems a bug in doxygen(-devel) to me:

In file included from /usr/include/graphviz/gvc.h:17:0,  --> includes ---+
                 from /.../libyui-qt-graph-.../src/QY2Graph.h:31,        |
                 from /.../libyui-qt-graph-.../src/QY2Graph.cc:34:       |
/usr/include/graphviz/types.h:49:20  <-- this file ----------------------+
                                                                     |
fatal error: cgraph.h: No such file or directory  <-- includes ------+

Which version of doxygen-devel does mock use during %build ?

So I can file a bug against the corresponding doxygen-ver, if applicable.

Comment 8 Björn 'besser82' Esser 2013-05-18 15:27:22 UTC
Build fails on rawhide using graphviz{,-devel}-2.30.1-7.fc20, too. Same reason: complains about missing cgraph.h, although it's available in grahpviz-devel: http://koji.fedoraproject.org/koji/fileinfo?rpmID=4005344&filename=/usr/include/graphviz/cgraph.h

Shall I file a bug against graphviz >= 2.30.0 <= 2.30.1-7, then?

Comment 9 Michael Schwendt 2013-05-18 15:29:30 UTC
It's a bug in libyui-qt-graph not setting the libcgraph headers search path during compilation.

| /usr/include/graphviz/types.h:49:20: fatal error: cgraph.h:
| No such file or directory
| #include <cgraph.h>

$ pkg-config --cflags libcgraph
-I/usr/include/graphviz

Comment 10 Björn 'besser82' Esser 2013-05-18 15:42:21 UTC
same as on F18... (-I/usr/include/graphviz isn't set here explicitly, either)

#ifndef QY2Graph_h
#define QY2Graph_h

#include <graphviz/gvc.h>

include is correct...

#ifndef                 GVC_H
#define                 GVC_H

#include "types.h" // include "..." should eval to same dir as file including

#ifndef GV_TYPES_H
#define GV_TYPES_H

#include <stdio.h>
#include <assert.h>
#include <signal.h>

...

#ifdef WITH_CGRAPH
#include <cgraph.h> // here it's wrong ! --> "cgraph.h"
...
#else
...
#endif

Or do you think differently?

Comment 11 Björn 'besser82' Esser 2013-05-18 16:03:25 UTC
if I explicitly include /usr/include/graphviz, this happens and build fails on rawhide (again):

In file included from /usr/include/graphviz/types.h:49:0,
                 from /usr/include/graphviz/gvc.h:17,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.h:32,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.cc:28:
/usr/include/graphviz/cgraph.h:43:25: error: conflicting declaration 'typedef struct Agraph_s Agraph_t'
 typedef struct Agraph_s Agraph_t; /* graph, subgraph (or hyperedge) */
                         ^
In file included from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:31:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.h:32,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.cc:28:
/usr/include/yui/YGraph.h:32:12: error: 'struct Agraph_t' has a previous declaration as 'struct Agraph_t'
     struct Agraph_t;
            ^
In file included from /usr/include/graphviz/gvc.h:17:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.h:32,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.cc:28:
/usr/include/graphviz/types.h:50:29: error: conflicting declaration 'typedef struct Agraph_s graph_t'
     typedef struct Agraph_s graph_t;
                             ^
In file included from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:31:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.h:32,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPlugin.cc:28:
/usr/include/yui/YGraph.h:33:29: error: 'graph_t' has a previous declaration as 'typedef struct Agraph_t graph_t'
     typedef struct Agraph_t graph_t;
                             ^
make[2]: *** [src/CMakeFiles/yui-qt-graph.dir/YQGraphPlugin.cc.o] Error 1
In file included from /usr/include/graphviz/types.h:49:0,
                 from /usr/include/graphviz/gvc.h:17,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.cc:29:
/usr/include/graphviz/cgraph.h:43:25: error: conflicting declaration 'typedef struct Agraph_s Agraph_t'
 typedef struct Agraph_s Agraph_t; /* graph, subgraph (or hyperedge) */
                         ^
In file included from /usr/include/yui/qt/YQGraphPluginIf.h:28:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.cc:28:
/usr/include/yui/YGraph.h:32:12: error: 'struct Agraph_t' has a previous declaration as 'struct Agraph_t'
     struct Agraph_t;
            ^
In file included from /usr/include/graphviz/gvc.h:17:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.cc:29:
/usr/include/graphviz/types.h:50:29: error: conflicting declaration 'typedef struct Agraph_s graph_t'
     typedef struct Agraph_s graph_t;
                             ^
In file included from /usr/include/yui/qt/YQGraphPluginIf.h:28:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraphPluginImpl.cc:28:
/usr/include/yui/YGraph.h:33:29: error: 'graph_t' has a previous declaration as 'typedef struct Agraph_t graph_t'
     typedef struct Agraph_t graph_t;
                             ^
make[2]: *** [src/CMakeFiles/yui-qt-graph.dir/YQGraphPluginImpl.cc.o] Error 1
In file included from /usr/include/graphviz/types.h:49:0,
                 from /usr/include/graphviz/gvc.h:17,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.cc:31:
/usr/include/graphviz/cgraph.h:43:25: error: conflicting declaration 'typedef struct Agraph_s Agraph_t'
 typedef struct Agraph_s Agraph_t; /* graph, subgraph (or hyperedge) */
                         ^
In file included from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:31:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.cc:31:
/usr/include/yui/YGraph.h:32:12: error: 'struct Agraph_t' has a previous declaration as 'struct Agraph_t'
     struct Agraph_t;
            ^
In file included from /usr/include/graphviz/gvc.h:17:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/QY2Graph.h:31,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:33,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.cc:31:
/usr/include/graphviz/types.h:50:29: error: conflicting declaration 'typedef struct Agraph_s graph_t'
     typedef struct Agraph_s graph_t;
                             ^
In file included from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.h:31:0,
                 from /builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/src/YQGraph.cc:31:
/usr/include/yui/YGraph.h:33:29: error: 'graph_t' has a previous declaration as 'typedef struct Agraph_t graph_t'
     typedef struct Agraph_t graph_t;
                             ^
make[2]: Leaving directory `/builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/build'
make[1]: Leaving directory `/builddir/build/BUILD/libyui-qt-graph-44b67c791be951daeec046240e6b74106f3573f1/build'
make[2]: *** [src/CMakeFiles/yui-qt-graph.dir/YQGraph.cc.o] Error 1
make[1]: *** [src/CMakeFiles/yui-qt-graph.dir/all] Error 2
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.AP2i1G (%build)

Comment 12 Michael Schwendt 2013-05-18 19:22:36 UTC
> #include <graphviz/gvc.h>
> 
> include is correct...

Hard to say. 

The graphviz pkgconfig files disagree. They add the headers search path /usr/include/graphviz, which means API users are supposed to

  #include <gvc.h>

without the leading "graphviz/". The graphviz headers could also be installed in /usr/include/graphviz-2.30.1/graphviz (think multiple parallel-installed APIs of graphviz), and pkg-config --cflags would add that as a direct search path and not /usr/include/graphviz-2.30.1 instead.


None of the graphviz header files append "graphviz/",

  $ grep /usr/include/graphviz/*|grep graphv
  $

but most of them include as "foo.h" not <foo.h>, so current dir works anyway.


That including <graphviz/foo.h> works is clear when "graphviz" is located in standard search path.


There are a couple of builds that use libcgraph successfully (perhaps some of them use pkg-config though):

  # repoquery --whatrequires 'libcgraph.so.6()(64bit)'|grep -v graphviz
  fawkes-guis-0:0.5.0-7.fc19.x86_64
  flowcanvas-0:0.7.1-10.fc19.x86_64
  libgda-tools-1:5.1.2-2.fc19.x86_64
  root-graf-gviz-0:5.34.07-1.fc19.x86_64


graphviz-doc cgraph.3.pdf (PDF version of "man 3 cgraph") and several of the other lib manuals contain an example that does include <graphviz/….h> whereas "man 3 cdt" e.g. does include <cdt.h>. Contradictory.


Huh? 
  $ grep cgraph /usr/include/graphviz/types.h 
  #include <cgraph.h>
  #include "cgraph.h"
  $ grep cgraph /usr/include/graphviz/gvpr.h 
  #include "cgraph.h"


> /usr/include/graphviz/cgraph.h:43:25:
> error: conflicting declaration 'typedef struct Agraph_s Agraph_t'

Yes, these are clearly defined in graphviz/types.h already, so porting from libgraph to libcgraph API may need adjustments in libyui-qt-graph.

Comment 13 Björn 'besser82' Esser 2013-05-21 19:56:10 UTC
Review can be delayed here. Might get superseeded by upstream in near future. See PM.

Comment 14 Björn 'besser82' Esser 2014-05-23 19:34:08 UTC
Finally there has been a new upstream release, which fixes that cgraph-issues.  :D


Koji Builds:

  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6883692


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/libyui-qt-graph.spec
  SRPM URL: http://besser82.fedorapeople.org/review/libyui-qt-graph-2.44.1-1.fc21.src.rpm

Comment 15 Björn 'besser82' Esser 2014-05-24 12:19:02 UTC
After updating (and tagging needed buildroot-overrides) the libYUI-stack on el7, fc19 and fc20 scratch-builds are successful there, too.

Do you still want to do the review, Michael?  Or may I reassign this to someone else?


Koji Builds:

  el7:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6885730
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6885736
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6885739
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6885743

Urls:

  Spec URL: http://besser82.fedorapeople.org/review/libyui-qt-graph.spec
  SRPM URL: http://besser82.fedorapeople.org/review/libyui-qt-graph-2.44.1-1.fc21.src.rpm

Comment 16 Michael Schwendt 2014-05-24 18:43:58 UTC
> Or may I reassign this to someone else?

;)  I don't claim ownership of this review.

But note that there are issues with the package:


> License:		LGPLv2 or LGPLv3

First of all, the source files include a "GPLv2" preamble, modified with links to Novell and novell.com instead of gnu.org. That's a case of:

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Secondly, with regard to the LGPLv3, the GPLv3 license text should be included as well:

  https://www.gnu.org/licenses/gpl-faq.html#v3HowToUpgrade


* rpmlint complains about the -doc package with an 'E':

  libyui-qt-graph-doc.noarch: E: version-control-internal-file /usr/share/doc/libyui-qt-graph-doc/examples/.gitignore


* The -devel package pkgconfig file specifies "Libs: -lyui-qt-graph", but that lib is located outside default search path in the plugin dir %_libdir/yui/.

Comment 17 Björn 'besser82' Esser 2014-05-24 20:39:57 UTC
(In reply to Michael Schwendt from comment #16)
> > Or may I reassign this to someone else?
> 
> ;)  I don't claim ownership of this review.

Allrighty!  ;)

 
> But note that there are issues with the package:
> 
> > License:		LGPLv2 or LGPLv3
> 
> First of all, the source files include a "GPLv2" preamble, modified with
> links to Novell and novell.com instead of gnu.org. That's a case of:
>  
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#License_Clarification

Already in progress:  https://github.com/libyui/libyui-qt-graph/pull/15
I *could* merge myself, but I'll let that open for discussion with the SUSE-folks…  8)


> Secondly, with regard to the LGPLv3, the GPLv3 license text should be
> included as well:
> 
>   https://www.gnu.org/licenses/gpl-faq.html#v3HowToUpgrade

As above.  ^^


> * rpmlint complains about the -doc package with an 'E':
> 
>   libyui-qt-graph-doc.noarch: E: version-control-internal-file
> /usr/share/doc/libyui-qt-graph-doc/examples/.gitignore

Fixed, see below.


> * The -devel package pkgconfig file specifies "Libs: -lyui-qt-graph", but
> that lib is located outside default search path in the plugin dir
> %_libdir/yui/.

Which really ain't an issue here, but will need fixing in libyui-pkg itself, because the other UI-plugins are affected by this as well.  Hmmmmm…  Who did the review on them?  :-P  By e.g. adding /etc/ldconf.so.conf.d/libyui-%{%_arch}.conf to the libyui-pkg (already done:  https://koji.fedoraproject.org/koji/buildinfo?buildID=519016).  SO-dependencies will make sure this one is pulled in any case.


#####


%changelog
* Sat May 24 2014 Björn Esser <bjoern.esser@gmail.com> - 2.44.1-2
- fix rpmlint 'E: version-control-internal-file'


Koji Builds:

  el7:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6887224
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6887227
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6887230
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6887234


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/libyui-qt-graph.spec
  SRPM URL: http://besser82.fedorapeople.org/review/libyui-qt-graph-2.44.1-2.fc21.src.rpm

Comment 18 Michael Schwendt 2014-05-25 10:28:14 UTC
> By e.g. adding /etc/ldconf.so.conf.d/libyui-%{%_arch}.conf to the libyui-pkg

That's making available private _plugin_ libs (as dlopen'ed by libyui) in runtime linker's search path. I don't understand what that's supposed to fix. Why store the plugins in a private subdir first of all?


> because the other UI-plugins are affected by this as well.  Hmmmmm…  Who did
> the review on them?  :-P 

Haha, -devel packages for an API that may be used to extend _plugin_ libs scare me and cause quite a headache, too (guess why I've lobbied for the longer -devel packaging guidelines related to placement of .so files) .

How much to examine beyond a plausibility-check (based on what %description claims)?  Reviewing such packages would be easier, if there were an API-user that would extend a plugin and could be tested with. It wouldn't be the first time such headers won't be used. And there have been enough cases where the headers were private and were installed accidentally (e.g. suspicious header-only -devel packages for plugin libs).

If you are concerned about the automatic SONAME deps of the individual plugin libs, while one common option would be to filter them out, this would get really funny with the introduction of an extension plugin lib depending on a plugin lib. This is non-trivial stuff.

Comment 19 Michael Schwendt 2014-05-25 10:57:33 UTC
> %config %{_sysconfdir}/ldconf.so.conf.d/%{name}-%{_arch}.conf

Returned from voting with a question in my head:

  # repoquery --whatprovides /etc/ldconf.so.conf.d
  #

Did you want /etc/ld.so.conf.d/ instead?

Comment 20 Björn 'besser82' Esser 2017-04-15 18:51:22 UTC
Updated package:


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=19014100


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/libyui-qt-graph.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/libyui-qt-graph-2.44.5-0.1.fc27.src.rpm

***

There hasn't been progress for about 3 years;  resetting this review to 'NEW'.

Comment 23 Michael Schwendt 2017-08-13 09:38:21 UTC
Just a headsup while I'm taking a peek at some aging review requests. This currently fails to build on F26 x86_64.

[...]

-- Configuring done
CMake Error at /usr/share/libyui/buildtools/LibyuiCommon.cmake:649 (ADD_LIBRARY):
  Target "yui-qt-graph" links to target "Qt5::Svg" but the target was not
  found.  Perhaps a find_package() call is missing for an IMPORTED target, or
  an ALIAS target is missing?
Call Stack (most recent call first):
  src/CMakeLists.txt:8 (PROCESS_SOURCES)


CMake Error at /usr/share/libyui/buildtools/LibyuiCommon.cmake:649 (ADD_LIBRARY):
  Target "yui-qt-graph" links to target "Qt5::X11Extras" but the target was
  not found.  Perhaps a find_package() call is missing for an IMPORTED
  target, or an ALIAS target is missing?
Call Stack (most recent call first):
  src/CMakeLists.txt:8 (PROCESS_SOURCES)


CMake Error at /usr/share/libyui/buildtools/LibyuiCommon.cmake:649 (ADD_LIBRARY):
  Target "yui-qt-graph" links to target "Qt5::Svg" but the target was not
  found.  Perhaps a find_package() call is missing for an IMPORTED target, or
  an ALIAS target is missing?
Call Stack (most recent call first):
  src/CMakeLists.txt:8 (PROCESS_SOURCES)


CMake Error at /usr/share/libyui/buildtools/LibyuiCommon.cmake:649 (ADD_LIBRARY):
  Target "yui-qt-graph" links to target "Qt5::X11Extras" but the target was
  not found.  Perhaps a find_package() call is missing for an IMPORTED
  target, or an ALIAS target is missing?
Call Stack (most recent call first):
  src/CMakeLists.txt:8 (PROCESS_SOURCES)

Comment 24 Björn 'besser82' Esser 2017-08-13 11:41:00 UTC
(In reply to Michael Schwendt from comment #23)
> Just a headsup while I'm taking a peek at some aging review requests. This
> currently fails to build on F26 x86_64.


Updated package:


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=21206810


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/libyui-qt-graph.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/libyui-qt-graph-2.44.6-0.1.fc27.src.rpm

Comment 25 Wolfgang Ulbrich 2017-08-14 08:17:38 UTC
APPROVED!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libyui-
     qt-graph-doc , libyui-qt-graph-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: libyui-qt-graph-2.44.6-0.1.fc27.x86_64.rpm
          libyui-qt-graph-devel-2.44.6-0.1.fc27.x86_64.rpm
          libyui-qt-graph-doc-2.44.6-0.1.fc27.noarch.rpm
          libyui-qt-graph-debuginfo-2.44.6-0.1.fc27.x86_64.rpm
          libyui-qt-graph-2.44.6-0.1.fc27.src.rpm
libyui-qt-graph.x86_64: W: no-documentation
libyui-qt-graph.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libyui-qt-graph.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libyui-qt-graph-devel.x86_64: W: only-non-binary-in-usr-lib
libyui-qt-graph-debuginfo.x86_64: E: debuginfo-without-sources
5 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libyui-qt-graph-debuginfo-2.44.6-0.1.fc27.x86_64.rpm
libyui-qt-graph-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libyui-qt-graph-debuginfo.x86_64: E: debuginfo-without-sources
libyui-qt-graph-devel.x86_64: W: only-non-binary-in-usr-lib
libyui-qt-graph.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
libyui-qt-graph-debuginfo (rpmlib, GLIBC filtered):

libyui-qt-graph-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake-filesystem(x86-64)
    graphviz-devel(x86-64)
    libyui-devel(x86-64)
    libyui-qt-devel(x86-64)
    libyui-qt-graph(x86-64)
    libyui-qt-graph.so.8()(64bit)

libyui-qt-graph (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libcdt.so.5()(64bit)
    libcgraph.so.6()(64bit)
    libdl.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgvc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libyui-qt.so.8()(64bit)
    libyui.so.8()(64bit)
    rtld(GNU_HASH)

libyui-qt-graph-doc (rpmlib, GLIBC filtered):



Provides
--------
libyui-qt-graph-debuginfo:
    debuginfo(build-id)
    libyui-qt-graph-debuginfo
    libyui-qt-graph-debuginfo(x86-64)

libyui-qt-graph-devel:
    cmake(Libyui-qt-graph)
    libyui-qt-graph-devel
    libyui-qt-graph-devel(x86-64)
    pkgconfig(libyui-qt-graph)

libyui-qt-graph:
    libyui-qt-graph
    libyui-qt-graph(x86-64)
    libyui-qt-graph.so.8()(64bit)

libyui-qt-graph-doc:
    libyui-qt-graph-doc



Source checksums
----------------
https://github.com/libyui/libyui-qt-graph/archive/v2.44.6.tar.gz#/libyui-qt-graph-2.44.6.tar.gz :
  CHECKSUM(SHA256) this package     : b13bb3f14a0f0d4866a331c7a15b0bf4a839aa089eb82672402329477e1a3908
  CHECKSUM(SHA256) upstream package : b13bb3f14a0f0d4866a331c7a15b0bf4a839aa089eb82672402329477e1a3908


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -r -n libyui-qt-graph -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 26 Gwyn Ciesla 2017-08-14 12:10:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libyui-qt-graph

Comment 27 Gwyn Ciesla 2017-08-14 12:10:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libyui-qt-graph

Comment 28 Fedora Update System 2017-08-17 10:22:13 UTC
libyui-qt-graph-2.44.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-845fd591a3

Comment 29 Fedora Update System 2017-08-18 21:54:15 UTC
libyui-qt-graph-2.44.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d1c2a6b67

Comment 30 Fedora Update System 2017-08-19 18:54:57 UTC
libyui-qt-graph-2.44.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-845fd591a3

Comment 31 Fedora Update System 2017-08-24 15:51:20 UTC
libyui-qt-graph-2.44.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-08-24 23:22:07 UTC
libyui-qt-graph-2.44.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.